%global	gem_name	gdk4

%global	gem_ver	4.0.3
%global	gem_ver_escaped %(v=%{gem_ver}; echo ${v} | sed -e 's|\\.|\\\\.|g')

Name:		rubygem-%{gem_name}
Version:	4.0.3
Release:	2%{?dist}

Summary:	Ruby/GDK4 is a Ruby binding of GDK-4.x
License:	LGPL-2.1-or-later
URL:		https://ruby-gnome.github.io/

Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:	%{gem_name}-%{version}-test-missing-files.tar.gz
# Source1 is generated by the $ bash %%SOURCE2 %%version
Source2:	%{gem_name}-create-missing-test-files.sh

BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
BuildRequires:	ruby-devel
#%%check
BuildRequires:	rubygem(rake)
BuildRequires:	rubygem(cairo-gobject)
BuildRequires:	rubygem(gdk_pixbuf2)
BuildRequires:	rubygem(pango)
BuildRequires:	rubygem(test-unit)
BuildRequires:	rubygem(pkg-config)
BuildRequires:	%{_bindir}/xvfb-run
BuildRequires:	pkgconfig(gtk4)
# glib2/test/run-test
BuildRequires:	rubygem-glib2-devel
# gio repository
Requires:		gtk4
BuildArch:		noarch

%description
Ruby/GDK4 is a Ruby binding of GDK-4.x.


%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch
# For embedded fonts, see https://ruby.github.io/rdoc/LEGAL_rdoc.html
License:	LGPL-2.1-or-later and  OFL-1.1

%description	doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -a 1
mv ../%{gem_name}-%{version}.gemspec .

# Allow higher version of other ruby-gnome suite pkgs
sed -i -e 's|= %{gem_ver_escaped}|>= %{gem_ver}|' %{gem_name}-%{version}.gemspec

%build
gem build %{gem_name}-%{version}.gemspec
%gem_install

# Umm... currently I cannot figure out why
# generated gemspec contains s.extensions entry.
# (extension entry means %%{gem_extdir_mri} must be packaged.)
# Manually removing for now....
sed -i .%{gem_spec} -e '\@s\.extensions =@d'

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

# cleanup
rm -f %{buildroot}%{gem_cache}
pushd %{buildroot}%{gem_instdir}
rm -rf \
	%{gem_name}.gemspec \
	Rakefile \
	dependency-check/ \
	test/ \
	%{nil}
popd

%check
cp -a %{gem_name}/test .%{gem_instdir}
pushd .%{gem_instdir}

sed -i test/run-test.rb \
	-e '\@run-test@s|require_relative "../../|require "|'
xvfb-run \
	ruby -Ilib:test ./test/run-test.rb
popd

%files
%license	%{gem_instdir}/COPYING.LIB
%doc	%{gem_instdir}/README.md
%dir %{gem_instdir}
%{gem_libdir}
%{gem_spec}

%files doc
%doc	%{gem_docdir}

%changelog
* Thu Nov 24 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> - 4.0.3-2
- List license for embedded fonts explicitly

* Tue Nov 15 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> - 4.0.3-1
- Initial package
